# -*- coding: utf-8 -*-
from __future__ import unicode_literals
from tastypie import fields
from tastypie.resources import ModelResource
from tastypie.authorization import Authorization
from core.models.request import Request
from api.resources.user_resource import UserResource

'''
'''
class RequestResource(ModelResource):
    class Meta:
        queryset = Request.objects.all()
        authorization = Authorization()
        always_return_data = True,
        collection_name = 'requests'
        
    def dehydrate_status(self, bundle):
        return [
            bundle.obj.status,
            bundle.obj.get_status_display()
        ]

